Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.cache.push
Class SimplePushCacheValidator

    java.lang.Object
      |
      +--org.w3c.www.protocol.http.cache.CacheValidator
            |
            +--org.w3c.www.protocol.http.cache.SimpleCacheValidator
                  |
                  +--org.w3c.www.protocol.http.cache.push.SimplePushCacheValidator

public class SimplePushCacheValidator
extends SimpleCacheValidator

SimpleCacheValidator with modified behaviour to avoid cleaning resources that have been pushed into the cache

Constructor Summary
`SimplePushCacheValidator()`

Method Summary
`boolean` | `checkStaleness(CachedResource cr)` Check if the request is stale or not
`void` | `revalidateResource(CachedResource cr, Request request, Reply reply)` reset all the ages after a revalidation

Methods inherited from class org.w3c.www.protocol.http.cache.SimpleCacheValidator
`isValid, updateExpirationInfo`

Methods inherited from class org.w3c.www.protocol.http.cache.CacheValidator
`initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplePushCacheValidator

    public SimplePushCacheValidator()

Method Detail

### checkStaleness

    public boolean checkStaleness(CachedResource cr)

  Check if the request is stale or not
  Overrides:
    checkStaleness in class SimpleCacheValidator
  Returns:
    false if resourse was pushed into cache, calls super.checkStaleness(cr) otherwise

### revalidateResource

    public void revalidateResource(CachedResource cr,
                                   Request request,
                                   Reply reply)

  reset all the ages after a revalidation
  Overrides:
    revalidateResource in class SimpleCacheValidator
  Parameters:
    `cr,` - the CachedResource we are upgrading.
    `request,` - the Request
    `reply,` - the Reply

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD